org.keycloak.jose.jws

## Class JWSBuilder

- java.lang.Object
- - org.keycloak.jose.jws.JWSBuilder

-     public class JWSBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JWSBuilder.EncodingBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWSBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWSBuilder.EncodingBuilder` | `content(byte[] bytes)`
    `JWSBuilder` | `contentType(String type)`
    `protected void` | `encode(Algorithm alg, byte[] data, StringBuilder encoding)`
    `protected void` | `encode(String sigAlgName, byte[] data, StringBuilder encoding)`
    `protected String` | `encodeAll(StringBuilder encoding, byte[] signature)`
    `protected String` | `encodeHeader(String sigAlgName)`
    `JWSBuilder.EncodingBuilder` | `jsonContent(Object object)`
    `JWSBuilder` | `kid(String kid)`
    `protected byte[]` | `marshalContent()`
    `JWSBuilder` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSBuilder

          public JWSBuilder()

  - ### Method Detail

    - #### type

          public JWSBuilder type(String type)

    - #### kid

          public JWSBuilder kid(String kid)

    - #### contentType

          public JWSBuilder contentType(String type)

    - #### content

          public JWSBuilder.EncodingBuilder content(byte[] bytes)

    - #### jsonContent

          public JWSBuilder.EncodingBuilder jsonContent(Object object)

    - #### encodeHeader

          protected String encodeHeader(String sigAlgName)

    - #### encodeAll

          protected String encodeAll(StringBuilder encoding,
                                     byte[] signature)

    - #### encode

          protected void encode(Algorithm alg,
                                byte[] data,
                                StringBuilder encoding)

    - #### encode

          protected void encode(String sigAlgName,
                                byte[] data,
                                StringBuilder encoding)

    - #### marshalContent

          protected byte[] marshalContent()

Copyright © 2021 JBoss by Red Hat. All rights reserved.